Subject: Re: [bug#53912] [PATCH 3/5] system: image: Add wsl-tarball support.

From: Maxime Devos <[email-masked]>
Date: Tue, 15 Feb 2022 17:28:41 +0100

Alex Griffin via Guix-patches via schreef op do 10-02-2022 om 06:27
[+0000]:
> This patch adds the wsl-tarball image type. The difference between
> this and the plain tarball type is the creation of the symlinks at
> /bin/sh and /bin/mount.
> 
> These are necessary for the first boot to work after importing. We
> can’t rely on special-files-service-type for this because the system
> is not activated yet, and the /bin/sh symlink initiates the first
> system activation.

Why would WSL expect these things to be located there?
Can this assumption be removed upstream?

Greetings,
Maxime